Tarantool development patches archive
 help / color / mirror / Atom feed
From: "Alexander V. Tikhonov" <avtikhon@tarantool.org>
To: Kirill Yukhin <kyukhin@tarantool.org>
Cc: tarantool-patches@dev.tarantool.org
Subject: [Tarantool-patches] [PATCH v1 1/3] update_repo: add message which file to remove
Date: Sun, 25 Oct 2020 11:37:42 +0300	[thread overview]
Message-ID: <e780afa700acbd57ca0d36f90ca583d384a650af.1603614713.git.avtikhon@tarantool.org> (raw)
In-Reply-To: <cover.1603614713.git.avtikhon@tarantool.org>

Added message which file to remove to be sure that the needed files
were searched to remove.
---
 tools/update_repo.sh | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/tools/update_repo.sh b/tools/update_repo.sh
index 99896664d..8e43f2442 100755
--- a/tools/update_repo.sh
+++ b/tools/update_repo.sh
@@ -486,8 +486,10 @@ function remove_deb {
 
     # remove all found file by the given pattern in options
     for suffix in '-1_all.deb' '-1_amd64.deb' '-1.dsc' '-1.debian.tar.xz' '.orig.tar.xz' ; do
-        $aws ls "$bucket_path/$poolpath/${remove}$suffix" || continue
-        $aws rm "$bucket_path/$poolpath/${remove}$suffix"
+        file="$bucket_path/$poolpath/${remove}$suffix"
+        echo "Searching to remove: $file"
+        $aws ls "$file" || continue
+        $aws rm "$file"
     done
 }
 
@@ -878,6 +880,7 @@ function remove_rpm {
     # storage, but does not mentioned in the metadata.
     for suffix in 'x86_64' 'noarch' 'src'; do
         file="$bucket_path/$packpath/${remove}-1.${os}${option_dist}.${suffix}.rpm"
+        echo "Searching to remove: $file"
         $aws ls $file || continue
         $aws rm $file
     done
-- 
2.25.1

  reply	other threads:[~2020-10-25  8:37 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-25  8:37 [Tarantool-patches] [PATCH v1 0/3] update_repo: improvements for removements Alexander V. Tikhonov
2020-10-25  8:37 ` Alexander V. Tikhonov [this message]
2020-10-25  8:37 ` [Tarantool-patches] [PATCH v1 2/3] update_repo: correct help message on remove Alexander V. Tikhonov
2020-10-25  8:37 ` [Tarantool-patches] [PATCH v1 3/3] update_repo: correct remove routine Alexander V. Tikhonov
2020-11-26  9:35 ` [Tarantool-patches] [PATCH v1 0/3] update_repo: improvements for removements Kirill Yukhin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=e780afa700acbd57ca0d36f90ca583d384a650af.1603614713.git.avtikhon@tarantool.org \
    --to=avtikhon@tarantool.org \
    --cc=kyukhin@tarantool.org \
    --cc=tarantool-patches@dev.tarantool.org \
    --subject='Re: [Tarantool-patches] [PATCH v1 1/3] update_repo: add message which file to remove' \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox